Skip to content
Snippets Groups Projects
Commit 75b47977 authored by Natanael Copa's avatar Natanael Copa
Browse files

use msg for messages

parent 91465846
No related merge requests found
......@@ -27,10 +27,10 @@ default_cmds="checkdeps clean fetch checkmd5 unpack rootpkg"
all_cmds="checksum fetch unpack rootpkg build package cleancache clean srcpkg"
# functions
vecho() {
msg() {
local sub=
[ -n "$INSUB" ] && sub="(sub)"
[ -z "$quiet" ] && echo ">>> $pkgname:" "$@" $sub >&2
[ -z "$quiet" ] && echo ">>> $pkgname $sub:" "$@" >&2
}
warning() {
......@@ -39,7 +39,7 @@ warning() {
die() {
quiet=
vecho "$@" >&2
msg "$@" >&2
exit 1
}
......@@ -139,7 +139,7 @@ cleanpkg() {
runpart() {
local part=$1
vecho "$part"
msg "$part"
$part || die "$part failed"
}
......@@ -318,7 +318,7 @@ trap 'die "Aborted by user"' INT
if [ -z "$1" ]; then
if up2date && [ -z "$force" ]; then
vecho "Package is up to date"
msg "Package is up to date"
else
set $default_cmds
fi
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment